Bug 200649 - crash: *** glibc detected *** gimp: corrupted double-linked list
crash: *** glibc detected *** gimp: corrupted double-linked list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-29 18:16 EDT by Tethys
Modified: 2008-01-28 14:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 05:08:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2006-07-29 18:16:46 EDT
Description of problem:

gimp crashed while flattening an image.

Version-Release number of selected component (if applicable):
gimp-2.2.10-0.fc4.1

How reproducible:
Unable to reproduce

  
Actual results:

*** glibc detected *** gimp: corrupted double-linked list: 0x0c57dc50 ***
======= Backtrace: =========
/lib/libc.so.6[0x73fb71]
/lib/libc.so.6[0x740d8d]
/lib/libc.so.6(malloc+0x74)[0x742492]
/usr/lib/libglib-2.0.so.0(g_malloc+0x30)[0x12aae0]
/usr/lib/libpango-1.0.so.0(pango_log2vis_get_embedding_levels+0x14f)[0x9569fd]
/usr/lib/libpango-1.0.so.0[0x945724]
/usr/lib/libpango-1.0.so.0(pango_itemize_with_base_dir+0xa0)[0x946354]
/usr/lib/libpango-1.0.so.0[0x94d459]
/usr/lib/libpango-1.0.so.0(pango_layout_get_iter+0x59)[0x94e353]
/usr/lib/libpango-1.0.so.0(pango_renderer_draw_layout+0xbc)[0x953185]
/usr/lib/libgdk-x11-2.0.so.0(gdk_draw_layout_with_colors+0x32b)[0x864da5]
/usr/lib/libgdk-x11-2.0.so.0(gdk_draw_layout+0xef)[0x864f8d]
/usr/lib/libgtk-x11-2.0.so.0[0x3f38e61]
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so[0xb7d305ed]
/usr/lib/libgtk-x11-2.0.so.0(gtk_paint_layout+0x89)[0x3f3bf27]
/usr/lib/libgtk-x11-2.0.so.0[0x3ed61c2]
/usr/lib/libgtk-x11-2.0.so.0[0x3e1c1d3]
/usr/lib/libgtk-x11-2.0.so.0[0x3ee4be2]
/usr/lib/libgobject-2.0.so.0[0xabed9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0xabf285]
/usr/lib/libgobject-2.0.so.0[0xacd8e7]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x41e)[0xacec23]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xacf223]
/usr/lib/libgtk-x11-2.0.so.0[0x3fc0743]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x15a)[0x3e63a86]
/usr/lib/libgtk-x11-2.0.so.0[0x3e63add]
/usr/lib/libgtk-x11-2.0.so.0[0x3ef15d1]
/usr/lib/libgtk-x11-2.0.so.0[0x3ec7e72]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x65)[0x3e61fca]
/usr/lib/libgtk-x11-2.0.so.0[0x3e63851]
/usr/lib/libgtk-x11-2.0.so.0[0x3ef02cd]
/usr/lib/libgtk-x11-2.0.so.0[0x3ee4be2]
/usr/lib/libgobject-2.0.so.0[0xabed9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0xabf285]
/usr/lib/libgobject-2.0.so.0[0xacd8e7]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x41e)[0xacec23]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xacf223]
/usr/lib/libgtk-x11-2.0.so.0[0x3fc0743]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_propagate_expose+0x15a)[0x3e63a86]
/usr/lib/libgtk-x11-2.0.so.0[0x3e63add]
/usr/lib/libgtk-x11-2.0.so.0[0x3ef2313]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0x65)[0x3e61fca]
/usr/lib/libgtk-x11-2.0.so.0[0x3e63851]
/usr/lib/libgtk-x11-2.0.so.0[0x3ee9c50]
/usr/lib/libgtk-x11-2.0.so.0[0x3ee4be2]
/usr/lib/libgobject-2.0.so.0[0xabed9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0xabf285]
/usr/lib/libgobject-2.0.so.0[0xacd8e7]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x41e)[0xacec23]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xacf223]
/usr/lib/libgtk-x11-2.0.so.0[0x3fc0743]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x500)[0x3ee395b]
/usr/lib/libgdk-x11-2.0.so.0[0x8735ad]
/usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0x95)[0x873680]
/usr/lib/libgdk-x11-2.0.so.0[0x873701]
/usr/lib/libglib-2.0.so.0[0x126730]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc)[0x1244ce]
/usr/lib/libglib-2.0.so.0[0x1274d6]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a1)[0x1277c3]
gimp[0x80632f4]
gimp[0x8063bfc]
/lib/libc.so.6(__libc_start_main+0xdf)[0x6f1d5f]
gimp[0x8062e81]
======= Memory map: ========
00101000-00185000 r-xp 00000000 fd:04 817481     /usr/lib/libglib-2.0.so.0.600.6
00185000-0018a000 rwxp 00084000 fd:04 817481     /usr/lib/libglib-2.0.so.0.600.6
0027e000-0028c000 r-xp 00000000 fd:04 265082     /usr/X11R6/lib/libXext.so.6.4
0028c000-0028d000 rwxp 0000e000 fd:04 265082     /usr/X11R6/lib/libXext.so.6.4
0028f000-00296000 r-xp 00000000 fd:04 265088     /usr/X11R6/lib/libXrender.so.1.2.2
00296000-00297000 rwxp 00007000 fd:04 265088     /usr/X11R6/lib/libXrender.so.1.2.2
00299000-002a0000 r-xp 00000000 fd:04 265090     /usr/X11R6/lib/libXi.so.6.0
002a0000-002a1000 rwxp 00006000 fd:04 265090     /usr/X11R6/lib/libXi.so.6.0
002a3000-002a6000 r-xp 00000000 fd:04 265089     /usr/X11R6/lib/libXrandr.so.2.0
002a6000-002a7000 rwxp 00002000 fd:04 265089     /usr/X11R6/lib/libXrandr.so.2.0
002a9000-002ab000 r-xp 00000000 fd:04 265091     /usr/X11R6/lib/libXinerama.so.1.0
002ab000-002ac000 rwxp 00001000 fd:04 265091     /usr/X11R6/lib/libXinerama.so.1.0
002c4000-002cd000 r-xp 00000000 fd:04 265094     /usr/X11R6/lib/libXcursor.so.1.0.2
002cd000-002ce000 rwxp 00008000 fd:04 265094     /usr/X11R6/lib/libXcursor.so.1.0.2
002d0000-002e2000 r-xp 00000000 fd:04 265092     /usr/X11R6/lib/libXft.so.2.1.2
002e2000-002e3000 rwxp 00012000 fd:04 265092     /usr/X11R6/lib/libXft.so.2.1.2
002e5000-002ef000 r-xp 00000000 fd:04 819281     /usr/lib/libpangox-1.0.so.0.800.1
002ef000-002f0000 rwxp 00009000 fd:04 819281     /usr/lib/libpangox-1.0.so.0.800.1
0034c000-00350000 r-xp 00000000 fd:04 265093     /usr/X11R6/lib/libXfixes.so.3.0
00350000-00351000 rwxp 00003000 fd:04 265093     /usr/X11R6/lib/libXfixes.so.3.0
003d8000-003dd000 r-xp 00000000 fd:04 817637     /usr/lib/libpangoxft-1.0.so.0.800.1
003dd000-003de000 rwxp 00005000 fd:04 817637     /usr/lib/libpangoxft-1.0.so.0.800.1
003e0000-003f4000 r-xp 00000000 fd:04 819283    
/usr/lib/libgdk_pixbuf-2.0.so.0.600.10
003f4000-003f6000 rwxp 00013000 fd:04 819283    
/usr/lib/libgdk_pixbuf-2.0.so.0.600.10
006a4000-006b6000 r-xp 00000000 fd:00 29423      /lib/libnsl-2.3.5.so
006b6000-006b7000 r-xp 00011000 fd:00 29423      /lib/libnsl-2.3.5.so
006b7000-006b8000 rwxp 00012000 fd:00 29423      /lib/libnsl-2.3.5.so
006b8000-006ba000 rwxp 006b8000 00:00 0
006bf000-006d9000 r-xp 00000000 fd:00 29284      /lib/ld-2.3.5.so
006d9000-006da000 r-xp 00019000 fd:00 29284      /lib/ld-2.3.5.so
006da000-006db000 rwxp 0001a000 fd:00 29284      /lib/ld-2.3.5.so
006dd000-00800000 r-xp 00000000 fd:00 29349      /lib/libc-2.3.5.so
00800000-00802000 r-xp 00123000 fd:00 29349      /lib/libc-2.3.5.so
00802000-00804000 rwxp 00125000 fd:00 29349      /lib/libc-2.3.5.so
00804000-00806000 rwxp 00804000 00:00 0
00808000-0082b000 r-xp 00000000 fd:00 29377      /lib/libm-2.3.5.so
0082b000-0082c000 r-xp 00022000 fd:00 29377      /lib/libm-2.3.5.so
0082c000-0082d000 rwxp 00023000 fd:00 29377      /lib/libm-2.3.5.so
0082f000-00831000 r-xp 00000000 fd:00 29394      /lib/libdl-2.3.5.so
00831000-00832000 r-xp 00001000 fd:00 29394      /lib/libdl-2.3.5.so
00832000-00833000 rwxp 00002000 fd:00 29394      /lib/libdl-2.3.5.so
00835000-00847000 r-xp 00000000 fd:04 817928     /usr/lib/libz.so.1.2.2.2
00847000-00848000 rwxp 00011000 fd:04 817928     /usr/lib/libz.so.1.2.2.2
0084a000-008c7000 r-xp 00000000 fd:04 819296     /usr/lib/libgdk-x11-2.0.so.0.600.10
008c7000-008ce000 rwxp 0007c000 fd:04 819296     /usr/lib/libgdk-x11-2.0.so.0.600.10
00933000-00963000 r-xp 00000000 fd:04 818233     /usr/lib/libpango-1.0.so.0.800.1
00963000-00969000 rwxp 00030000 fd:04 818233     /usr/lib/libpango-1.0.so.0.800.1
009e2000-009e5000 r-xp 00000000 fd:04 817495     /usr/lib/libgmodule-2.0.so.0.600.6
009e5000-009e6000 rwxp 00002000 fd:04 817495     /usr/lib/libgmodule-2.0.so.0.600.6
00a00000-00a1d000 r-xp 00000000 fd:04 817930     /usr/lib/libexpat.so.0.5.0
00a1d000-00a1f000 rwxp 0001c000 fd:04 817930     /usr/lib/libexpat.so.0.5.0
00a21000-00a82000 r-xp 00000000 fd:04 817929     /usr/lib/libfreetype.so.6.3.7
00a82000-00a89000 rwxp 00061000 fd:04 817929     /usr/lib/libfreetype.so.6.3.7
00a8b000-00ab1000 r-xp 00000000 fd:04 817957     /usr/lib/libfontconfig.so.1.0.4
00ab1000-00ab4000 rwxp 00026000 fd:04 817957     /usr/lib/libfontconfig.so.1.0.4
00ab4000-00ab5000 rwxp 00ab4000 00:00 0
00ab7000-00aef000 r-xp 00000000 fd:04 817535     /usr/lib/libgobject-2.0.so.0.600.6
00aef000-00af3000 rwxp 00037000 fd:04 817535     /usr/lib/libgobject-2.0.so.0.600.6
00af5000-00af9000 r-xp 00000000 fd:04 818065    
/usr/lib/libgimpmodule-2.0.so.0.200.10
00af9000-00afa000 rwxp 00003000 fd:04 818065    
/usr/lib/libgimpmodule-2.0.so.0.200.10
00afe000-00b12000 r-xp 00000000 fd:04 818363     /usr/lib/libatk-1.0.so.0.901.0
00b12000-00b15000 rwxp 00014000 fd:04 818363     /usr/lib/libatk-1.0.so.0.901.0
00b49000-00b52000 r-xp 00000000 fd:04 817470    
/usr/lib/libgimpcolor-2.0.so.0.200.10
00b52000-00b53000 rwxp 00008000 fd:04 817470    
/usr/lib/libgimpcolor-2.0.so.0.200.10
00b55000-00b62000 r-xp 00000000 fd:04 817473    
/usr/lib/libgimpbase-2.0.so.0.200.10
00b62000-00b63000 rwxp 0000d000 fd:04 817473     /usr/lib/libggimp: terminated:
Aborted

(script-fu:24317): LibGimpBase-WARNING **: script-fu: wire_read(): error


Additional info:
Fully up to date. Not sure exactly where the bug lies, so here are the
versions of other packages that might be relevant:

glib2-2.6.6-1
gtk2-2.6.10-2.fc4.4
pango-1.8.1-2
Comment 1 Nils Philippsen 2006-08-04 06:34:10 EDT
Please check whether this problem is still present with the current version,
i.e.: gimp-2.2.12-1.fc4
Comment 2 Tethys 2008-01-27 06:37:22 EST
As I said, it wasn't reproducible.
Comment 3 Nils Philippsen 2008-01-28 05:08:53 EST
Closing.
Comment 4 Tethys 2008-01-28 14:35:58 EST
So... care to give a reason? Not even prepared to look at the stack trace and
see if anything leaps out?
Comment 5 Nils Philippsen 2008-01-28 14:53:54 EST
Oh, I've taken a look and it seems like an issue in the gtk or pango package you
used at that time, but with only a stack trace, that's just guess-work. Without
a reproducer bugs like these aren't really debuggable.

Then there's the tiny issue of FC4 being end-of-lifed for quite a while now ;-).

Note You need to log in before you can comment on or make changes to this bug.